(function() {
	Vue.component('doctor-mine', {
		template: `<div class="container-fluid chahua-bg mt20">
				<div class="chahua container clearfix">
					<div class="fl my-count c-border">
						<h1>我的账户</h1>
						<ul class="list">
							<li v-for="(name, index) in list" :key="index" @click="setCon(index)" class="" :class="{'li-active': index == mineIndex}">{{name}}</li>
						</ul>
					</div>
					<div class="fl my-detail c-border">
						<div class="con1 pt40" v-if="mineIndex == 0">
							<per-info></per-info>
						</div>
						<div class="con2" v-if="mineIndex == 1">
							<safe-setting></safe-setting>
						</div>
						<div class="con3 pl30" v-if="mineIndex == 2">
							<device-reback></device-reback>
						</div>
					</div>
				</div>
			</div>`,
		props: [],
		data: function() {
			return {
				list: ["个人信息", "安全设置", "意见反馈"],
				mineIndex: 0,
				info: null,
				myPhoto: null
			}
		},
		methods: {
			setCon: function(index) {
				this.mineIndex = index
			}
		}
	})
})()
