(function() {
	Vue.component('doctor-index', {
		template: `<div class="container-fluid chahua-bg">
				<div class="chahua container">
					<div class="modules">
						<h2 class="c-f24 c-fff">为您提供个性化工具模块</h2>
						<h2 class="c-f16 c-fff">让医疗工作变得更轻松</h2>
						<div class="clearfix pt70">
							<div v-for="(module, index) in modules" :key="index" class="ui-grid-middle fl ml30 c-border module">
								<img :src="module.img" />
								<h2 class="c-f20">{{module.tit}}</h2>
								<ul class="c-f16">
									<li v-for="(list, ind) in module.list" :key="ind">{{list.name}}</li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>`,
		props: [],
		data: function() {
			return {
				modules: [{
					tit: "远程医学教育",
					img: "../../../images/shouye_yixue_icon.png",
					list: [{name: "海量资料库"},{name: "教学资源共享"},{name: "教学视频播放"}]
				},{
					tit: "远程会诊服务",
					img: "../../../images/shouye_huizheng_icon.png",
					list: [{name: "远程专家会诊"},{name: '"面对面"交流'},{name: "病情智能对接"}]
				},{
					tit: "双向诊断服务",
					img: "../../../images/shouye_zhuanzhen_icon.png",
					list: [{name: "小病进社区"},{name: "大病转医院"},{name: "康复回社区"}]
				}],
				ishover: null
			}
		},
		methods: {
			
		}
	})
})()
